// Listing 31.3: Enumerating the contents of a certificate store using CAPICOM

using System;
using System.Security.Cryptography.X509Certificates;
using CAPICOM;
using System.IO;

public class ReadCertificateStore {
  public static void Main(String[] args) {
    Store store = new Store();
    store.Open(CAPICOM_STORE_LOCATION.CAPICOM_CURRENT_USER_STORE, "MY", CAPICOM_STORE_OPEN_MODE.CAPICOM_STORE_OPEN_READ_ONLY);
    foreach (Certificate cert in store.Certificates) {   
      String certString = cert.Export(CAPICOM_ENCODING_TYPE.CAPICOM_ENCODE_BASE64);
      byte[] decodedcert = Convert.FromBase64String(certString);
      X509Certificate certificate = new  X509Certificate(decodedcert);
      Console.WriteLine(certificate.ToString(true));
    }
  }
} 
